Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.util
Class XInt

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.util.XInt

public final class XInt
extends java.lang.Object

Version:
  $Id: XInt.java,v 1.2 2002/01/29 01:15:17 lehors Exp $
Author:
  Henry Zongaro, IBM

Method Summary
`boolean` | `equals(XInt compareVal)`
`int` | `intValue()`
`short` | `shortValue()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### intValue

    public final int intValue()

### shortValue

    public final short shortValue()

### equals

    public final boolean equals(XInt compareVal)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.